.form-wrap {
    position: fixed;
    top: 50px;
    left: 0;
    width: 100%;
    height: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 999;
}

.main-form {
    background: white;
    padding: 24px;
    border-radius: 12px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.8);
    width: 100%;
    max-width: 500px;
    animation: fadeIn 0.8s ease-in-out;
}

.error-message {
    color: red;
    font-size: 1rem;
    margin-bottom: 10px;
}

.form-group.floating {
    position: relative;
    margin-bottom: 20px;
}

.form-group.floating input {
    width: 100%;
    padding: 8px 0;
    font-size: 16px;
    border: none;
    border-bottom: 1px solid #ccc;
    background: transparent;
    outline: none;
}

.form-group.floating label {
    position: absolute;
    top: 14px;
    left: 0px;
    color: #888;
    font-size: 1rem;
    background-color: white;
    padding: 0;
    transition: 0.2s ease;
    pointer-events: none;
}

.form-group.floating input:focus + label, .form-group.floating input:not(:placeholder-shown) + label {
    top: -8px;
    left: 0px;
    font-size: 0.8rem;
    color: #4a90e2;
}

.change-button {
    width: 48%;
    padding: 12px;
    background-color: var(--orange);
    color: white;
    border: none;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s;
    outline: none;
}

.change-button:hover {
    background-color: #e8804b;
}

.close-icon {
    margin-top: -8px;
    margin-right: -8px
}